org.apache.derby.mbeans

## Interface VersionMBean

-     public interface VersionMBean

  This interface defines a Standard MBean for exposing the version information of a running Derby component. Refer to the getters of the interface for defined attributes. All attributes are read-only. The MBean does not define any operations.

  Key properties for registered MBean:

  - `type=Version`
  - `jar={derby.jar|derbynet.jar}`
  - `system=`runtime system identifier (see overview)

  If a security manager is installed these permissions are required:

  - `SystemPermission("server", "monitor")` for version information specific to derbynet.jar
  - `SystemPermission("engine", "monitor")` for version information specific to derby.jar
  See Also:
    `SystemPermission`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuildNumber()`
    `int` | `getMaintenanceVersion()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `String` | `getProductName()`
    `String` | `getProductTechnologyName()`
    `String` | `getProductVendorName()`
    `String` | `getVersionString()` Return the full version string.
    `boolean` | `isAlpha()`
    `boolean` | `isBeta()`

- - ### Method Detail

    - #### getProductName

          String getProductName()

    - #### getProductTechnologyName

          String getProductTechnologyName()

    - #### getProductVendorName

          String getProductVendorName()

    - #### getMajorVersion

          int getMajorVersion()

    - #### getMinorVersion

          int getMinorVersion()

    - #### getMaintenanceVersion

          int getMaintenanceVersion()

    - #### getVersionString

          String getVersionString()

      Return the full version string.
      Returns:
        Full version string.

    - #### getBuildNumber

          String getBuildNumber()

    - #### isBeta

          boolean isBeta()

    - #### isAlpha

          boolean isAlpha()

Apache Derby 10.13 API Documentation - Copyright © 2004,2016 The Apache Software Foundation. All Rights Reserved.